#ifndef SYSCALL_FS_H_
#define SYSCALL_FS_H_

#include <stdint.h>
#include <stddef.h>
#include "syscall.h"

int32_t SYSCALL2(sys_fs_openf, opath1, oflags1);
int32_t SYSCALL1(sys_fs_closef, fsh1);
int32_t SYSCALL4(sys_fs_write, fsh1, buffer1, len1, off1);
int32_t SYSCALL4(sys_fs_read, fsh1, buffer1, len1, off1);
int32_t SYSCALL2(sys_fs_stat, opath1, fsstat1);
int32_t SYSCALL3(sys_fs_fetchdirent, opath1, direntbuf1, idx1);
int32_t SYSCALL1(sys_fs_mkdir, opath1);
int32_t SYSCALL1(sys_fs_delete, opath1);

#endif // SYSCALL_FS_H_
